out_officers <- function(path_data_prep_officers, path_out_report_list) {
  out <- path("data-out", "officers", "officers.parquet")
  dir_create(path_dir(out))

  report_list <- out_open_dataset_db(path_out_report_list)

  officers <-
    prep_open_dataset_db(path_data_prep_officers) |>
    semi_join(report_list, by = "report_id") |>
    rename(address_lookup = address) |>
    distinct() |>
    collect()

  arrow::write_parquet(officers, out)

  dirname(out)
}
